Package Details: python-coincurve 15.0.0-1

Git Clone URL: https://aur.archlinux.org/python-coincurve.git (read-only, click to copy)
Package Base: python-coincurve
Description: Cross-platform Python CFFI bindings for libsecp256k1
Upstream URL: https://github.com/ofek/coincurve
Licenses: GPL
Submitter: redfish
Maintainer: redfish
Last Packager: redfish
Votes: 4
Popularity: 0.055342
First Submitted: 2019-03-30 01:18
Last Updated: 2021-04-17 23:14

Latest Comments

whoami commented on 2021-10-01 04:49

==> Starting build()...
WARNING: The wheel package is not available.
/usr/bin/python: No module named pip
Traceback (most recent call last):
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 75, in fetch_build_egg
    subprocess.check_call(cmd)
  File "/usr/lib/python3.9/subprocess.py", line 373, in check_call
    raise CalledProcessError(retcode, cmd)
subprocess.CalledProcessError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp3dcdot4n', '--quiet', 'requests']' returned non-zero exit status 1.

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/home/user/.cache/paru/clone/python-coincurve/src/coincurve-15.0.0/setup.py", line 260, in <module>
    setup(
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 152, in setup
    _install_setup_requires(attrs)
  File "/usr/lib/python3.9/site-packages/setuptools/__init__.py", line 147, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 785, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 766, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1051, in best_match
    return self.obtain(req, installer)
  File "/usr/lib/python3.9/site-packages/pkg_resources/__init__.py", line 1063, in obtain
    return installer(requirement)
  File "/usr/lib/python3.9/site-packages/setuptools/dist.py", line 844, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/lib/python3.9/site-packages/setuptools/installer.py", line 77, in fetch_build_egg
    raise DistutilsError(str(e)) from e
distutils.errors.DistutilsError: Command '['/usr/bin/python', '-m', 'pip', '--disable-pip-version-check', 'wheel', '--no-deps', '-w', '/tmp/tmp3dcdot4n', '--quiet', 'requests']' returned non-zero exit status 1.
==> ERROR: A failure occurred in build().
    Aborting...
error: failed to build 'python-coincurve-15.0.0-1': 

Popolon commented on 2020-07-04 17:32

With or without libsecp256k1, I have the following error (it links an internal version of this lib (CC src/libsecp256k1_la-secp256k1.lo ) :

running build_ext
generating cffi module 'build/temp.linux-x86_64-3.8/_libsecp256k1.c'
Traceback (most recent call last):
  File "setup.py", line 250, in <module>
    setup(
  File "/usr/lib/python3.8/site-packages/setuptools/init.py", line 164, in setup
    return distutils.core.setup(**attrs)
  File "/usr/lib/python3.8/site-packages/setuptools/_distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/lib/python3.8/site-packages/setuptools/_distutils/dist.py", line 967, in run_commands
    self.run_command(cmd)
  File "/usr/lib/python3.8/site-packages/setuptools/_distutils/dist.py", line 986, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.8/site-packages/setuptools/_distutils/command/build.py", line 135, in run
    self.run_command(cmd_name)
  File "/usr/lib/python3.8/site-packages/setuptools/_distutils/cmd.py", line 313, in run_command
    self.distribution.run_command(command)
  File "/usr/lib/python3.8/site-packages/setuptools/_distutils/dist.py", line 986, in run_command
    cmd_obj.run()
  File "/usr/lib/python3.8/site-packages/cffi/setuptools_ext.py", line 142, in run
    base_class.run(self)
  File "setup.py", line 209, in run
    return _build_ext.run(self)
  File "/usr/lib/python3.8/distutils/command/build_ext.py", line 340, in run
    self.build_extensions()
  File "/usr/lib/python3.8/distutils/command/build_ext.py", line 445, in build_extensions
    self.check_extensions_list(self.extensions)
  File "/usr/lib/python3.8/distutils/command/build_ext.py", line 362, in check_extensions_list
    raise DistutilsSetupError(
distutils.errors.DistutilsSetupError: each element of 'ext_modules' option must be an Extension instance or 2-tuple

redfish commented on 2020-05-24 03:59

@Ergo: did you try suggestions by @mborder below? Package builds for me.

Ergus commented on 2020-04-05 22:08

Still getting the same error:

build/temp.linux-x86_64-3.8/_libsecp256k1.c:541:10: fatal error: secp256k1_ecdh.h: No such file or directory 541 | #include <secp256k1_ecdh.h> | ^~~~~~~~~~~~~~~~~~ compilation terminated. error: command 'gcc' failed with exit status 1 ==> ERROR: A failure occurred in build(). Aborting... Error making: python-coincurve

sehraf commented on 2019-12-17 07:58

Thanks! That totally did the trick! Removing libsecp256k1 temporarily and python-coincurve builds fine.

Thank you for looking into this.

Anonymous comment on 2019-12-17 06:44

I've been debugging this package for a good hour now.

Upstream checks for the lib secp256k1 in a way that can return false positives, basically they only check for the library, not for the feature ecdh which is experimental. Now because ecdh is experimental, it's not included in the package libsecp256k1, and if you have that (or anything else providing it without ecdh) then the build will fail like in sehraf's case. Removing anything providing secp256k1 fixes the issue, however you may need to delete the cached build folder for this, I ended up with an odd error fixed by doing that after discovering the false library version issue.

Also I've filed an issue with upstream.

sehraf commented on 2019-12-13 16:25

Still the same :(

build/temp.linux-x86_64-3.8/_libsecp256k1.c:493:10: fatal error: secp256k1_ecdh.h: No such file or directory
  493 | #include <secp256k1_ecdh.h>
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.

redfish commented on 2019-12-13 04:33

@sehraf: appears to be fixed in 13.0.0.

sehraf commented on 2019-07-21 20:53

Build fails due to missing secp256k1_ecdh.h

build/temp.linux-x86_64-3.7/_libsecp256k1.c:493:10: fatal error: secp256k1_ecdh.h: No such file or directory
  493 | #include <secp256k1_ecdh.h>
      |          ^~~~~~~~~~~~~~~~~~
compilation terminated.